%define _unpackaged_files_terminate_build 0
Summary: Thread-safe hash library
SUmmary(ko): Thread-safe hash 라이브러리
Name: mhash
Version: 0.9.9.9
Release: 1%{?dist}
Epoch: 1
License: LGPL
Group: System Environment/Libraries
Source: http://mhash.sf.net/dl/%{name}-%{version}.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
URL: http://mhash.sf.net

%description
mhash is a thread-safe hash library, implemented in C, and provides a
uniform interface to a large number of hash algorithms. These 
algorithms can be used to compute checksums, message digests, and 
other signatures. The HMAC support implements the basics for message 
authentication, following RFC 2104.

Algorithms currently supplied are:

CRC-32, CRC-32B, ALDER-32, MD-2, MD-4, MD-5, RIPEMD-128, RIPEMD-160,
RIPEMD-256, RIPEMD-320, SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, HAVAL-128,
HAVAL-160, HAVAL-192, HAVAL-256, TIGER, TIGER-128, TIGER-160, GOST, WHIRLPOOL,
SNEFRU-128, SNEFRU-256

Algorithms will be added to this list over time.

%package devel
Summary: Header files and libraries for developing apps which will use mhash
Summary(ko): mhash 를 이용하여 개발시 필요한 헤더 및 라이브러리
Group: Development/Libraries
Requires: mhash = %{epoch}:%{version}-%{release}

%description devel
The mhash-devel package contains the header files and libraries needed
to develop programs that use the mhash library.

Install the mhash-devel package if you want to develop applications that
will use the mhash library.

%prep
%setup -q

%build
%{configure}
%{__make} %{?_smp_mflags}

%install
rm -rf %{buildroot}
%{makeinstall}

#pushd %{buildroot}%{_mandir}/man3 &> /dev/null
#rename i686-annyung-linux- "" *
#rename i386-annyung-linux- "" *
#popd &> /dev/null

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%{_libdir}/libmhash.so.*

%files devel
%defattr(-, root, root, 0755)
%dir %{_includedir}/mutils
%{_mandir}/man3/mhash.3*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*.h
%{_includedir}/mutils/*.h

%changelog
* Sun Feb 26 2012 JoungKyun.Kim <http://oops.org> 1:0.9.9.9-1%{?dist}
- update 0.9.9.9

* Mon Jul 14 2008 JoungKyun.Kim <http://oops.org> 1:0.9.9-1
- first packaged

